Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PublicObjectDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

Direct Known Subclasses:
  AccessControlListDefinition, ApplicationObjectDefinition, CategoryDefinition, DirectoryObjectDefinition, DocumentDefinition, FamilyDefinition, FolderDefinition, UserProfileDefinition, VersionDescriptionDefinition, VersionSeriesDefinition

public class PublicObjectDefinition
extends LibraryObjectDefinition

The PublicObjectDefinition class is the abstract superclass of all public object definition classes. It is used to aid in the construction of PublicObjects by providing methods to set special properties common to all PublicObjects, such as Category, initial folder and securing public object.

Constructor Summary
`PublicObjectDefinition(LibrarySession session)` Constructs a PublicObjectDefinition explicitly capturing the session.

Method Summary
`void` | `addCategoryDefinition(CategoryDefinition def)` Adds a new Category Definition to the new PublicObject.
`AttributeValue` | `getAddToFolderOption()` returns the Add To Folder Option for the new PublicObject.
`CategoryDefinition[]` | `getCategoryDefinitions()` returns all the CategoryDefinitions for this PO Definition Return null if no Category definitions exist
`java.util.Date` | `getExplicitCreateDate()` returns any explicitly specified CreateDate, if specified via the setExplicitCreateDateOption() method.
`java.util.Date` | `getExplicitLastModifyDate()` returns any explicitly specified LastModifydate, if specified via the setExplicitLastModifyDate() method.
`boolean` | `getFreeIfLastFolderReferenceOption()` return true if the FreeIfLastFolderReferenceOption has been set.
`boolean` | `getKeepLastModifyDateOption()` return the indication as to whether the last modification date should remain unchanged as part of an update operation.
`boolean` | `getLockForSessionOption()` return the indication as to whether the Lock For Session option is set.
`PublicObject` | `getSecuringPublicObject()` returns the object responsible for providing security settings for the target object.
`boolean` | `getUnlockForSessionOption()` return the indication as to whether the Unlock For Session option is set.
`void` | `setAddToFolderOption(Folder folder)` set the Add To Folder Option for the new PublicObject.
`void` | `setExplicitCreateDate(java.util.Date createDate)` sets an explicit CreateDate.
`void` | `setExplicitLastModifyDate(java.util.Date modDate)` sets an explicit LastModifydate.
`void` | `setFreeIfLastFolderReferenceOption(boolean option)` set or clear the option to free an object if it has no Folder references after it is explicitly removed fromt he last Folder.
`void` | `setKeepLastModifyDateOption(boolean option)` set or clear the indication to keep the last modification unchanged as part of an update operation.
`void` | `setLockForSessionOption(boolean option)` set or clear the option to obtain a Session lock.
`void` | `setSecuringPublicObject(PublicObject obj)` set the object responsible for providing security settings for the target object.
`void` | `setUnlockForSessionOption(boolean option)` set or clear the option to release a Session lock.

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### PublicObjectDefinition

    public PublicObjectDefinition(LibrarySession session)
                           throws IfsException

  Constructs a PublicObjectDefinition explicitly capturing the session.
  Parameters:
    `session` - the current LibrarySession
  Throws:
    `IfsException` - if the operation fails

Method Detail

### addCategoryDefinition

    public void addCategoryDefinition(CategoryDefinition def)
                               throws IfsException

  Adds a new Category Definition to the new PublicObject.
  Parameters:
    `def` - the Category definition for the new Category.

### getCategoryDefinitions

    public CategoryDefinition[] getCategoryDefinitions()
                                                throws IfsException

  returns all the CategoryDefinitions for this PO Definition Return null if no Category definitions exist
  Returns:
    CategoryDefinitions for this PO Definition
  Throws:
    `IfsException` - if the operation fails

### setKeepLastModifyDateOption

    public void setKeepLastModifyDateOption(boolean option)
                                     throws IfsException

  set or clear the indication to keep the last modification unchanged as part of an update operation. This method only has an effect when the target PublicObjectDefiniion is used in an update() operation.
  Parameters:
    `option` - true if the LastModifydate is to remain unchanged after the update is applied.
  Throws:
    `IfsException` - if operation fails.

### getKeepLastModifyDateOption

    public boolean getKeepLastModifyDateOption()
                                        throws IfsException

  return the indication as to whether the last modification date should remain unchanged as part of an update operation.
  Returns:
    true if the LastModifydate is to remain unchanged after the update is applied.
  Throws:
    `IfsException` - if operation fails.

### setExplicitCreateDate

    public void setExplicitCreateDate(java.util.Date createDate)
                               throws IfsException

  sets an explicit CreateDate. If null is specified, any previously specified date is cleared.
  Parameters:
    `the` - Create Date.
  Throws:
    `IfsException` - if operation fails.

### getExplicitCreateDate

    public java.util.Date getExplicitCreateDate()
                                         throws IfsException

  returns any explicitly specified CreateDate, if specified via the setExplicitCreateDateOption() method.
  Returns:
    any explicitly specified CreateDate, or null if not specified.
  Throws:
    `IfsException` - if operation fails.

### setExplicitLastModifyDate

    public void setExplicitLastModifyDate(java.util.Date modDate)
                                   throws IfsException

  sets an explicit LastModifydate. If null is specified, any previously specified date is cleared.
  Parameters:
    `the` - Last Modification Date.
  Throws:
    `IfsException` - if operation fails.

### getExplicitLastModifyDate

    public java.util.Date getExplicitLastModifyDate()
                                             throws IfsException

  returns any explicitly specified LastModifydate, if specified via the setExplicitLastModifyDate() method.
  Returns:
    any explicitly specified LastModifyDate, or null if not specified.
  Throws:
    `IfsException` - if operation fails.

### setLockForSessionOption

    public void setLockForSessionOption(boolean option)
                                 throws IfsException

  set or clear the option to obtain a Session lock. This option can be used when the target PublicObjectDefiniion is used in either a create or an update() operation.
  Parameters:
    `option` - true if the Lock For Session option is in effect; specify false to clear this setting.
  Throws:
    `IfsException` - if operation fails.

### getLockForSessionOption

    public boolean getLockForSessionOption()
                                    throws IfsException

  return the indication as to whether the Lock For Session option is set.
  Returns:
    true if the Lock For Session option is in effect.
  Throws:
    `IfsException` - if operation fails.

### setFreeIfLastFolderReferenceOption

    public void setFreeIfLastFolderReferenceOption(boolean option)
                                            throws IfsException

  set or clear the option to free an object if it has no Folder references after it is explicitly removed fromt he last Folder.
  Parameters:
    `option` - true if the option is selected.
  Throws:
    `IfsException` - if operation fails.

### getFreeIfLastFolderReferenceOption

    public boolean getFreeIfLastFolderReferenceOption()
                                               throws IfsException

  return true if the FreeIfLastFolderReferenceOption has been set.
  Returns:
    true if the FreeIfLastFolderReferenceOption has been set.
  Throws:
    `IfsException` - if operation fails.

### setUnlockForSessionOption

    public void setUnlockForSessionOption(boolean option)
                                   throws IfsException

  set or clear the option to release a Session lock. This option can only be used when the target PublicObjectDefiniion is used in an update() operation.
  Parameters:
    `option` - true if the Unlock For Session option is in effect; specify false to clear this setting.
  Throws:
    `IfsException` - if operation fails.

### getUnlockForSessionOption

    public boolean getUnlockForSessionOption()
                                      throws IfsException

  return the indication as to whether the Unlock For Session option is set.
  Returns:
    true if the Unlock For Session option is in effect.
  Throws:
    `IfsException` - if operation fails.

### setSecuringPublicObject

    public void setSecuringPublicObject(PublicObject obj)
                                 throws IfsException

  set the object responsible for providing security settings for the target object.
  Parameters:
    `obj` - the object responsible for providing security settings for the target object.
  Throws:
    `IfsException` - if operation fails.

### getSecuringPublicObject

    public PublicObject getSecuringPublicObject()
                                         throws IfsException

  returns the object responsible for providing security settings for the target object. Returns null if none specified.
  Returns:
    the object responsible for providing security settings for the target object.
  Throws:
    `IfsException` - if operation fails.

### setAddToFolderOption

    public void setAddToFolderOption(Folder folder)
                              throws IfsException

  set the Add To Folder Option for the new PublicObject.
  Parameters:
    `folder` - the Folder in which to add the new object.
  Throws:
    `IfsException` - if operation fails.

### getAddToFolderOption

    public AttributeValue getAddToFolderOption()
                                        throws IfsException

  returns the Add To Folder Option for the new PublicObject. Returns null if none specified.
  Returns:
    AttributeValue that contains the Folder on which to add the new object, or null if no folder option specified.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD